﻿using Buckets.Logic;

namespace Buckets.Test
{
    [TestClass]
    public class RainBarrelTest
    {
        [TestMethod]
        public void RainBarrel_DisallowedCapacity_ShouldThrow()
        {
            Assert.ThrowsException<ArgumentException>(() =>
            {
                Rainbarrel rainbarrel = new(90, 0);
            });
        }

        [TestMethod]
        public void RainBarrel_AllowedCapacity_ShouldEqual100()
        {
            Rainbarrel rainbarrel = new(100, 0);
            Assert.AreEqual(100, rainbarrel.Capacity);
        }
    }
}